Skip navigation.
Home
The QNX Community Portal

View topic - Anyone try to port a Subversion 1.8.x client to QNX 6.5 ?

Anyone try to port a Subversion 1.8.x client to QNX 6.5 ?

QNX Application portings.

Anyone try to port a Subversion 1.8.x client to QNX 6.5 ?

Postby qnx-er » Thu May 26, 2016 11:32 am

Has anyone tried to port a Subversion 1.8.x client to QNX 6.5 ?

I understand that Momentics has the Subversive client, but it would be useful to have a native client for scripting
purposes. A native subversion 1.6 client is available, but a 1.8 client has better merge support. I don't need the
Subversion server ported to QNX, just the client. Mixing Subversion clients with different versions on the same local code files can cause problems sometimes.

It looks like this would involve compiling two things:

1) The Apache Portable Runtime base portability runtime:

https://apr.apache.org/download.cgi
https://apr.apache.org/compiling_unix.html

2) The 1.8.16 subversion client source code:

https://subversion.apache.org/download.cgi
qnx-er
New Member
 
Posts: 2
Joined: Wed May 25, 2016 2:15 pm

Return to Porting

Who is online

Users browsing this forum: No registered users and 1 guest